<?php
/*
#Бесплатный WAP движок StrongCMS
#Официальный сайт поддержки: http://strongcms.ru 
*/
##Добавление файла
login();

$direktor = abs(intval($_GET['id']));
$count = $db->super_query("SELECT COUNT(*) as count FROM `load_dir` WHERE `id` = '".$direktor."'");

if (!isset($_GET['id']) || isset($_GET['id']) && $direktor != 0 && $count['count'] == 0)
{
    header('location: '.HOME.'/down/');
    exit();
}

$dir['id'] = '0';
$dir['id_dir'] = '0';
$dir['name'] = 'Загрузки';
$dir['files'] = '0';

if (isset($_GET['id']))
{
    $dir = $db->super_query("SELECT * FROM `load_dir` WHERE id = '".$direktor."' LIMIT 1");
}

if ($dir['files'] != 1)
{
    header('location: '.HOME.'/down/');
    exit;
}

if ($user['level'] <= 0 && $dir['us_access'] == 0)
    err($title, 'В данную папку файлы может загружать только администрация!');

echo '<div class="title"><a href="'.HOME.'/down/">Загрузки</a> | Добавление файла</div>';

if (isset($_REQUEST['submit']))
{
    $about = strong($_POST['about']);
    $name = strong($_POST['name']);


    if (empty($name))
        err('Введите название файла!');

    if (mb_strlen($name) < 3)
        err('Минимум для ввода 3 символа!');

    if (empty($about))
        err('Введите описание файла!');

    if (mb_strlen($about) < 3)
        err('Минимум для ввода 3 символа!');

    $maxsize = $settings['maxsize']; // Максимальный размер файла,в мегабайтах
    $size = $_FILES['filename']['size']; // Вес файла

    /* Если не выбрали файл */
    if (!@file_exists($_FILES['filename']['tmp_name']))
        err('Вы не выбрали файл!');

    /* Максимальный размер 1мб */
    if ($size > (1048576 * $maxsize))
        err('Максимальный размер файла '.$maxsize.'мб!');

    /* Тип файлов которые можно загружать */
    $filetype = array(
        'jpg',
        'gif',
        'png',
        'jpeg',
        '3gp',
        'mp4',
        'mp3',
        'flv',
        'zip',
        'rar');
    $upfiletype = substr($_FILES['filename']['name'], strrpos($_FILES['filename']['name'], ".") + 1);

    /* Если тип файла не подходит */
    if (!in_array($upfiletype, $filetype))
        err('Такой формат запрещено загружать!');

    /* Если все окей,заливаем файл в папу и делаем запрос */
    $files = $_SERVER['HTTP_HOST'].'_'.rand(1234, 5678).'_'.rand(1234, 5678).'_'.$_FILES['filename']['name'];

    /* Заливаем */
    move_uploaded_file($_FILES['filename']['tmp_name'], "../files/down/".$files."");

    $infile = null;
    if ($upfiletype == 'jpg' && 'gif' && 'png' && 'jpeg')
    {
        $infile = "../files/down/".$files;
        require ('../photo/mini.php');
        $mini = "../files/downscreen/".$files;
        img_thumb($infile, $mini, '80'); // делаем превью
    }

    /* Если скрин выбрали */
    if (@file_exists($_FILES['screenname']['tmp_name']))
    {
        /* Максимальный размер */
        if ($size > (1048576 * $maxsize))
            err('Максимальный размер файла '.$maxsize.'мб!');

        /* Тип файлов которые можно загружать */
        $sfiletype = array(
            'jpg',
            'gif',
            'png',
            'jpeg');
        $supfiletype = substr($_FILES['screenname']['name'], strrpos($_FILES['screenname']['name'], ".") + 1);

        /* Если тип файла не подходит */
        if (!in_array($supfiletype, $sfiletype))
            err('Такой формат запрещено загружать!');

        /* Если все окей,заливаем файл в папу и делаем запрос */
        $sfiles = $_SERVER['HTTP_HOST'].'_'.rand(1234, 5678).'_'.rand(1234, 5678).'_'.$_FILES['screenname']['name'];

        /* Заливаем */
        move_uploaded_file($_FILES['screenname']['tmp_name'], "../files/downscreen/".$sfiles."");

    }
    ##добавляем юзеру стронгов и рейтинг
    $db->query("UPDATE `users` SET `money` = '".($user['money'] + $settings['forum_tem_m'])."', `rating` = '".($user['rating'] + 0.01)."' WHERE `id` = '".$user['id']."' LIMIT 1");
    /* Делаем запрос */
    $db->query("INSERT INTO `load_file` SET `avtor` = '".$user['id']."', `time` = '".TIME."', `id_dir` = '".$dir['id']."', `name` = '".$name."', `format` = '".$upfiletype."', `about` = '".$about."', `url` = '".$dir['url']."/".$dir['id']."', `files` = '".$files."', `mod` = '".$settings['load_mod']."'");
    $insert = $db->insert_id();

    if ($sfiles)
        $db->query("INSERT INTO `load_screen` SET `file_id` = '".$insert."', `name_screen` = '".$sfiles."'");
    if ($infile)
        $db->query("INSERT INTO `load_screen` SET `file_id` = '".$insert."', `name_screen` = '".$files."'");

    header('Location: '.HOME.'/down/file'.$insert.'');
    exit();
}

echo '<div class="podmenu"><form method="post" enctype="multipart/form-data" name="message">
*Название:<br /><input type="text" name="name" maxlength="50" /><br />
*Выберите файл:<br /><input type="file" name="filename"><br />
Выберите скрин:<br /><input type="file" name="screenname"><br />
*Описание:<br /><textarea name="about"></textarea><br />
<input type="submit" name="submit" value="Загрузить">
</form></div>';

echo '<a href="'.HOME.'/down" class="menudiv">» В загрузки</a>';

?>